---

name: Package installation issue
description: Report an issue that occurs during the installation of a package
labels:
    - installation-issue

body:
    - type: markdown
      attributes:
          value: |
              # Issue reporting guidelines

              1. Before reporting an issue, make sure that you meet the minimum requirements mentioned in the README. Also review `:checkhealth mason` for potential problems.
              1. Please try to review the error yourself first and ensure it's not a problem that is local to your system only.

              ---

    - type: checkboxes
      attributes:
          label: I've searched open issues for similar requests
          description: If possible, please contribute to any [open issues](https://github.com/williamboman/mason.nvim/issues?q=is%3Aissue+label%3Ainstallation-issue) instead of opening a new one.
          options:
              - label: "Yes"

    - type: checkboxes
      attributes:
          label: I've recently downloaded the latest plugin version of mason.nvim
          options:
              - label: "Yes"

    - type: textarea
      attributes:
          label: Problem description
          description: A clear and short description of 1) what the issue is, and 2) why you think it's an issue with mason.nvim.
      validations:
          required: true

    - type: textarea
      attributes:
          label: Expected behavior
          description: A short description of the behavior you expected.
      validations:
          required: true

    - type: input
      attributes:
          label: Affected packages
          description: If this issue is specific to one or more packages, list them here. If not, write 'All'.
      validations:
          required: true

    - type: textarea
      attributes:
          label: Mason output
          description: Please provide the **installation output** available in the `:Mason` window, if possible.
          placeholder: "Please only provide the output of the package installation."
          render: Text

    - type: textarea
      attributes:
          label: Installation log
          description: "`:MasonLog`. Refer to `:help mason-debugging`"
          placeholder: "The default log level is not helpful for debugging purposes! Make sure you set the log level to DEBUG before installing the package (:h mason-debugging)."
          render: Text
      validations:
          required: true

    - type: textarea
      attributes:
          label: "Neovim version (>= 0.7)"
          description: "Output of `nvim --version`"
          placeholder: |
              NVIM v0.7.0-dev
              Build type: Release
              LuaJIT 2.1.0-beta3
      validations:
          required: true

    - type: input
      attributes:
          label: "Operating system/version"
          description: "On Linux and Mac systems: `$ uname -a`"
      validations:
          required: true

    - type: textarea
      attributes:
          label: Healthcheck
          placeholder: ":checkhealth mason"
          render: Text
      validations:
          required: true

    - type: textarea
      attributes:
          label: Screenshots
          description: If applicable, add screenshots to help explain your problem
